Сайт | Скачать | Видео | Wiki

Автор Тема: devx - список пакетов, существует ли такое понятие?  (Прочитано 3868 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн pureproft

  • Постоялец
  • ***
  • Сообщений: 156
  • Репутация: +2/-1
Где посмотреть список пакетов входящих в devx разных дистров, и как организовать что то вроде ремастеринга devx?
Рассвет наступит неизбежно...
f RU gal OS читаю между букв...

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 8912
  • Репутация: +92/-0
по идее то что входит в дистрибутив должно быть и в devx
т.е. если есть libusb то и заголовки должны быть установлены в devx

и как организовать что то вроде ремастеринга devx?
исправить скрипты сборки дистрибутива, чтобы помимо включения в систему пакета программы, еще брался DEV пакет и данные из него добавлялись в devx (соответственно все пакеты создавать если через new2dir то выбирать пункт с созданием отдельного DEVelopment пакета)
Я загружаю новые пакеты сюда: http://file.puppyrus.ml/users/ а дальше можно найти самостоятельно.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 8912
  • Репутация: +92/-0
А да, по поводу ремастеринга - я распаковываю devx на диск, добавляю нужные (DEV) файлы заголовков программ и заново собираю mksquashfs
Я загружаю новые пакеты сюда: http://file.puppyrus.ml/users/ а дальше можно найти самостоятельно.

Оффлайн pureproft

  • Постоялец
  • ***
  • Сообщений: 156
  • Репутация: +2/-1
Pro.
Это всё понятно....
Я имел ввиду наличие "официального" списка пакетов включённых в devx разных версий, упоминания об этом не нашёл....
Ведь там кроме gcc и его окружения появляются всякие бэйсики и прочее,.....
p.s. хочу вернуться к старой теме про purebasic(недавно напомнили) и разделить требуемые пакеты на runtime и dev
вот такой deb тянет за собой чуть больше сотни пакетов с зависимостями
Package: purebasic
Version: 0.0.1-1
Section: misc
Priority: extra
Architecture: all
Depends: build-essential, libgtk2.0-dev, libgnome2-dev, libgnomeprintui2.2-dev, libxine-dev, libsdl1.2-dev, libiodbc2-dev
Recommends: libxxf86vm-dev, xulrunner-dev
Installed-Size: 8
Maintainer: Thomas Schulz <ts-soft@web.de>
Homepage: http://www.purebasic.com
Description: dependencies solver for purebasic
 install all dependencies and
 add mime-type text/purebasic (*.pb,*.pbi)
 copy logo.png as purebasic.png to /usr/share/pixmaps
Рассвет наступит неизбежно...
f RU gal OS читаю между букв...

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 8912
  • Репутация: +92/-0
Я имел ввиду наличие "официального" списка пакетов включённых в devx разных версий, упоминания об этом не нашёл....
нет нету такого, мне тоже не попадалось.
Я загружаю новые пакеты сюда: http://file.puppyrus.ml/users/ а дальше можно найти самостоятельно.

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 543
  • Репутация: +25/-1
  • Пусть воюют другие
и разделить требуемые пакеты на runtime и dev

Ге-эмм... Опять таки проблема в списках
С помощью woof можно было бы со всеми зависимостями, но что ложить?
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн pureproft

  • Постоялец
  • ***
  • Сообщений: 156
  • Репутация: +2/-1
и разделить требуемые пакеты на runtime и dev

Ге-эмм... Опять таки проблема в списках
С помощью woof можно было бы со всеми зависимостями, но что ложить?

Не понял вопроса совсем. Вы владеете woof и можете помочь?
Список пакетов я предоставлю...
Рассвет наступит неизбежно...
f RU gal OS читаю между букв...

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 543
  • Репутация: +25/-1
  • Пусть воюют другие
Не понял вопроса совсем

Woof разделяет пакеты совместимого дистра на исполняемые (туда же либы и содержимое /usr/share), DEV и doc.
Так вот, суть вопроса: вам нужно разделить runtime и dev - берем woof, делаем файл
DISTRO_COMPAT_REPOS-ubuntu-natty (или другой compatible-дистрибутив, можно тупо переименовать люцидовский),
заменяем в нем строку
FALLBACKS_COMPAT_VERSIONS='karmic jaunty intrepid'
на FALLBACKS_COMPAT_VERSIONS='lucid karmic jaunty intrepid'
и создаем DISTRO_PKGS_SPECS-ubuntu-natty (или другое), открываем второй файл, ищем необходимые пакеты и выставляем перед ними yes, перед теми, что не нужны - no.
Открываем woof gui и указываем Сompatible-distro: ubuntu, Сompatible-distro version: natty и
жмаем update overall specs.
В каталоге Woof из консоли (дабы все видно было) запускаем файл 1download и ждем
скачки выбранных пакетов.
После скачивания запускаем в консоли 2createpackages, в ответ на запрос жмем enter и
ждем построения пакетов.
Пакеты (точнее каталоги, из которых только осталось сделать .pet или .sfs) будут лежать
в каталоге packages-natty.
Трудоемкий, конечно процесс, но вряд-ли вы найдете что-либо более автоматизированное.

Вы владеете woof и можете помочь? Список пакетов я предоставлю...

Это просто мысль.
И сегодня у меня "заканчивается интернет", как говорят.
На неопределенный срок.
Надеюсь, что был полезен...
« Последнее редактирование: 26 Август 2011, 14:15:37 от imp »
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 543
  • Репутация: +25/-1
  • Пусть воюют другие
Вы владеете woof и можете помочь?
Список пакетов я предоставлю...

Попробуем?
Жду список
Компьютер имеет то преимущество перед мозгом, что им пользуются.